%undefine __find_provides
%undefine __find_requires

Summary:	Collection of skins for aMSN
Name:		amsn-skins
Version:	0.95
Release:	%mkrel 1
License:	GPL
Group:		Networking/Instant messaging
URL:		http://amsn.sf.net/
Source0:	http://prdownloads.sourceforge.net/amsn/Alloque_Lavender.zip
Source1:	http://prdownloads.sourceforge.net/amsn/Alternative-Tux.zip
Source2:	http://prdownloads.sourceforge.net/amsn/BSDmsn.zip
Source3:	http://prdownloads.sourceforge.net/amsn/Bolos.zip
Source4:	http://prdownloads.sourceforge.net/amsn/Fluox.zip
Source5:	http://prdownloads.sourceforge.net/amsn/Grey-MSN.zip
Source6:	http://prdownloads.sourceforge.net/amsn/Lila.zip
Source7:	http://prdownloads.sourceforge.net/amsn/MSN.zip
Source8:	http://prdownloads.sourceforge.net/amsn/Rubber.zip
Source9:	http://prdownloads.sourceforge.net/amsn/SpherIco.zip
Source11:	http://prdownloads.sourceforge.net/amsn/aDarwin.zip
Source12:	http://prdownloads.sourceforge.net/amsn/aMac.zip
Source13:	http://prdownloads.sourceforge.net/amsn/crystola.zip
Source14:	http://prdownloads.sourceforge.net/amsn/cubic.zip
Source15:	http://prdownloads.sourceforge.net/amsn/wolfheart.zip
Source16:	http://prdownloads.sourceforge.net/amsn/amsn-for-mac-0.95.zip
Source17:	http://prdownloads.sourceforge.net/amsn/AQUA-0.95.zip
Source18:	http://prdownloads.sourceforge.net/amsn/BrushedMetal-0.95.zip
Source19:	http://prdownloads.sourceforge.net/amsn/sheeny-0.95.zip
Source20:	http://prdownloads.sourceforge.net/amsn/snowgrey-0.95.zip
Source21:	http://prdownloads.sourceforge.net/amsn/TheNoNameBrand-0.95.zip
Source22:	http://prdownloads.sourceforge.net/amsn/Unified-0.95.zip
BuildArch:	noarch
Requires:	amsn >= 0.95
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
amsn is a Tcl/Tk clone that implements the Microsoft Messenger (MSN) for
Unix, Windows, or Macintosh platforms. It supports file transfers,
groups, and many more features.

This package contains a collection of skins.

%prep

%setup -n amsn-skins -c 0 -b1 -b2 -b3 -b4 -b5 -b6 -b7 -b8 -b9 -b11 -b12 -b13 -b14 -b15 -b16 -b17 -b18 -b19 -b20 -b21 -b22

mv "snowgrey/pixmaps/prefhist copie.png" "snowgrey/pixmaps/prefhist_copie.png"

# fix perms
find . -type d -exec chmod 755 {} \;
find . -type f -exec chmod 644 {} \;

# clean up cvs junk
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

# clean up other junk
find . -type d -name "\.xvpics" | xargs rm -rf
find . -type d -name "\..DS_Store" | xargs rm -rf
find . -type f -name "*~" | xargs rm -f

%build

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_datadir}/amsn/skins/
cp -avx * %{buildroot}%{_datadir}/amsn/skins/

# fix a file list
find %{buildroot}%{_datadir}/amsn/skins -type d | sed 's|^%{buildroot}|%%dir %%attr(0755\,root\,root) |' > %{name}.list
find %{buildroot} -type f | sed 's|^%{buildroot}|%%attr(0644\,root\,root)| ' >> %{name}.list

# don't own %{_datadir}/amsn/skins
perl -pi -e "s|.* %{_datadir}/amsn/skins$||sg;" %{name}.list

%clean
rm -rf %{buildroot}

%files -f %{name}.list
%defattr(-,root,root)



%changelog
* Thu Aug 03 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-08-03 09:42:59 (43082)
- import amsn-skins-0.95-1mdk

* Wed Dec 28 2005 Oden Eriksson <oeriksson@mandriva.com> 0.95-1mdk
- 0.95 (added more skins)

* Tue Jul 12 2005 Nicolas Lcureuil <neoclust@mandrake.org> - 0.94-2mdk
- Fix file section 
- remove source 10  ( Fix conflict with amsn )

* Fri Apr 01 2005 Nicolas Lcureuil <neoclust@mandrake.org> - 0.94-1mdk
- First Release

